HomeSort by relevance Sort by last modified time
    Searched refs:ninja (Results 1 - 25 of 77) sorted by null

1 2 3 4

  /build/kati/testcase/
ninja_phony_targets.sh 22 rm -f build.ninja .kati_stamp ninja.sh
24 if [ -e ninja.sh ]; then ./ninja.sh -j1 $@; fi
ninja_pool.sh 30 if [ -e ninja.sh ]; then
31 mv build.ninja kati.ninja
32 cat <<EOF > build.ninja
35 include kati.ninja
37 ./ninja.sh
39 if [ -e ninja.sh ]; then
40 if ! grep -q "pool = test_pool" kati.ninja; then
41 echo "Pool not present in build.ninja"
ninja_regen_filefunc_read.sh 35 if [ -e ninja.sh ]; then
36 ./ninja.sh
40 if [ -e ninja.sh ]; then
44 ./ninja.sh
50 if [ -e ninja.sh ]; then
54 ./ninja.sh
58 if [ -e ninja.sh ]; then
62 ./ninja.sh
69 if [ -e ninja.sh ]; then
73 ./ninja.s
    [all...]
ninja_mkdir.sh 31 if [ -e ninja.sh ]; then
32 ./ninja.sh
37 if [ -e ninja.sh ]; then
38 if grep -q "mkdir -p" build.ninja; then
39 echo "Should not include 'mkdir -p' in build.ninja"
40 echo "Ninja will automatically create this directory"
ninja_regen_filefunc_write.sh 29 if [ -e ninja.sh ]; then
33 ./ninja.sh
38 if [ -e ninja.sh ]; then
45 ./ninja.sh
ninja_regen.sh 36 if [ -e ninja.sh ]; then
37 ./ninja.sh
52 if [ -e ninja.sh ]; then
56 ./ninja.sh
61 if [ -e ninja.sh ]; then
65 ./ninja.sh
70 if [ -e ninja.sh ]; then
74 ./ninja.sh
79 if [ -e ninja.sh ]; then
83 ./ninja.s
    [all...]
find_command_sorted.mk 1 # TODO(ninja): This test is only for ckati. ninja: fix $(sort $(shell $(1)))
3 # ninja: $(sort $(shell "find .")) becomes "$( .) find"
ninja_regen_glob.sh 37 if [ -e ninja.sh ]; then
38 ./ninja.sh
42 if [ -e ninja.sh ]; then
46 ./ninja.sh
override_export.mk 1 # TODO(c|ninja): it overrides "export A" and exports(?) "override B"
2 # ninja: can't export variable with space in name (by bash).
ninja_regen_find_link.sh 31 if [ -e ninja.sh ]; then ./ninja.sh -j1 $@; fi
find_command.mk 1 # TODO(go|ninja): This test is only for ckati. ninja: multiple problems
3 # ninja: find . finds ninja temporary files
4 # ninja: escaping ! doesn't seem to be working
5 # ninja: stderr gets reordered
  /build/blueprint/tests/
test.sh 9 cp ../build.ninja.in src.build.ninja.in
20 sed -i 's/extra =/extra = -t/' src.build.ninja.in
28 if cmp -s src.build.ninja.in .minibootstrap/build.ninja.in; then
29 echo "src.build.ninja.in and .minibootstrap/build.ninja.in should be different" >&2
34 cp ../build.ninja.in src.build.ninja.in
42 if ! cmp -s src.build.ninja.in .minibootstrap/build.ninja.in; the
    [all...]
test_tree_tests.sh 24 if ! cmp -s ${SRCDIR}/build.ninja.in .minibootstrap/build.ninja.in; then
25 echo "tests/test_tree/build.ninja.in and .minibootstrap/build.ninja.in should be the same" >&2
30 OLDTIME=$(mtime build.ninja)
35 if [ ${OLDTIME} != $(mtime build.ninja) ]; then
36 echo "unnecessary build.ninja regeneration for null build" >&2
45 if [ ${OLDTIME} != $(mtime build.ninja) ]; then
46 echo "unnecessary build.ninja regeneration for glob addition" >&2
55 if [ ${OLDTIME} = $(mtime build.ninja) ]; the
    [all...]
  /build/blueprint/
.travis.install-ninja.sh 3 # Version of ninja to build -- can be any git revision
15 git clone https://github.com/martine/ninja
16 cd ninja
20 rm -f ../ninjabin/ninja
22 mv ninja ../ninjabin/
regen_build_ninja_in.sh 29 cp .minibootstrap/build.ninja.in ${SRC}/tests/test_tree/build.ninja.in
blueprint.bash 3 # This script is intented to wrap the execution of ninja so that we
4 # can do some checks before each ninja run.
29 # NINJA should be set to the path of the ninja executable. By default, this
30 # is just "ninja", and will be looked up in $PATH.
31 [ -z "$NINJA" ] && NINJA=ninja
46 GEN_BOOTSTRAP_MANIFEST="${BUILDDIR}/.minibootstrap/build.ninja.in"
55 # Build minibp and the primary build.ninja
    [all...]
  /external/compiler-rt/lib/tsan/
check_cmake.sh 11 CC=clang CXX=clang++ cmake -G Ninja -DLLVM_ENABLE_WERROR=ON -DCMAKE_BUILD_TYPE=Release -DLLVM_ENABLE_ASSERTIONS=ON $ROOT/../../../..
13 ninja
14 ninja check-sanitizer
15 ninja check-tsan
16 ninja check-asan
17 ninja check-msan
18 ninja check-lsan
  /build/kati/
m2n 17 # A wrapper for kati which generates build.ninja mainly for Android.
45 echo ninja.sh and build.ninja were generated, please run ./ninja.sh
117 ${kati} --ninja ${ninja_suffix_flag} --ignore_optional_include=out/%.P --ignore_dirty=out/% --use_find_emulator --detect_android_echo --detect_depfiles --gen_all_targets ${goma_flag} ${extra_flags} ${targets}
120 echo ninja${ninja_suffix}.sh and build${ninja_suffix}.ninja were generated, please run ./ninja${ninja_suffix}.sh
  /external/llvm/bindings/go/
build.sh 15 if test -n "`which ninja`" ; then
16 # If Ninja is available, we can speed up the build by building only the
18 (cd $llvm_builddir && cmake -G Ninja $cmake_flags)
19 ninja -C $llvm_builddir llvm-config llvm-go
22 ninja -C $llvm_builddir $llvm_buildtargets FileCheck
  /external/llvm/utils/release/
build_llvm_package.bat 11 REM Visual Studio 2013, CMake, Ninja, SVN, GNUWin32,
57 ninja all || exit /b
58 ninja check || exit /b
59 ninja check-clang || exit /b
67 ninja all || exit /b
68 ninja check || exit /b
69 ninja check-clang || exit /b
71 ninja package || exit /b
81 ninja all || exit /b
82 ninja check || exit /b
    [all...]
  /build/soong/ui/tracer/
ninja.go 63 // ImportNinjaLog reads a .ninja_log file from ninja and writes the events out
66 // startOffset is when the ninja process started, and is used to position the
67 // relative times from the ninja log into the trace. It's also used to skip
68 // reading the ninja log if nothing was run.
70 t.Begin("ninja log import", thread)
74 t.log.Println("Missing ninja log:", err)
77 t.log.Verboseln("Ninja log not modified, not importing any entries.")
83 t.log.Println("Error opening ninja log:", err)
96 if hdr != "# ninja log v5" {
97 t.log.Printf("Unknown ninja log header: %q", hdr
    [all...]
  /build/make/core/
ninja_config.mk 2 NINJA ?= prebuilts/build-tools/$(HOST_PREBUILT_TAG)/bin/ninja
4 NINJA ?= prebuilts/build-tools/$(HOST_PREBUILT_TAG)/asan/bin/ninja
7 KATI_OUTPUT_PATTERNS := $(OUT_DIR)/build%.ninja $(OUT_DIR)/ninja%.sh
9 # Modifier goals we don't need to pass to Ninja.
64 # Goals we need to pass to Ninja.
  /external/v8/tools/vim/
ninja-build.vim 5 " Adds a "Compile this file" function, using ninja. On Mac, binds Cmd-k to
9 " Adds a "Build this target" function, using ninja. This is not bound
14 " Requires that gyp has already generated build.ninja files, and that ninja is
16 " Bumps the number of parallel jobs in ninja automatically if goma is
20 " so /path/to/src/tools/vim/ninja-build.vim
50 sys.path.append(os.path.join(v8_root, 'tools', 'ninja'))
60 build_cmd = ' '.join(['ninja'] + flags + ['-C', build_dir, targets])
68 # ninja needs filepaths for the ^ syntax to be relative to the
  /external/webrtc/talk/build/
build_ios_libs.sh 73 export GYP_GENERATORS="ninja"
76 ninja -C ${OUTPUT_DIR}/${FLAVOR} libjingle_peerconnection_objc_no_op
  /build/soong/ui/build/
ninja.go 27 ctx.BeginTrace("ninja")
30 executable := config.PrebuiltBuildTool("ninja")
55 cmd := Command(ctx, config, "ninja", executable, args...)
59 // used in the past to specify extra ninja arguments.
83 // Poll the ninja log for updates; if it isn't updated enough, then we want to show some diagnostics
117 // ninja may be stuck
123 // dumpStucknessDiagnostics gets called when it is suspected that Ninja is stuck and we want to output some diagnostics
126 ctx.Verbosef("ninja may be stuck; last update to %v was %v. dumping process tree...", statusPath, lastUpdated)

Completed in 1181 milliseconds

1 2 3 4